oracle.xml.xsql

## Interface XSQLLoggerFactory

    public interface XSQLLoggerFactory

One of two interfaces that must be implemented to provide a custom logging implementation. The XSQL Page Processor asks the XSQLLoggerFactory associated with each request to create() an instance of an XSQLLogger to service the current request. If the factory implementation returns the same XSQLLogger instance to multiple requests, it needs to worry about synchronizing access to the logger object as necessary. Each page request has a unique XSQLPageRequest instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`XSQLLogger` `create(XSQLPageRequest req)` Returns a new or existing instance of XSQL logger.

### Method Detail

#### create

    XSQLLogger create(XSQLPageRequest req)

Returns a new or existing instance of XSQL logger. The XSQL page processing engine will hold a reference to the XSQLLogger object returned by this method for the duration of a single page request.

Copyright © 2003, 2020, Oracle and/or its affiliates.